CREATE TABLE `ecw_customer_approval` (
     `approval_id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
     `customer_id` bigint NOT NULL COMMENT '客户ID',
     `form_id` varchar(64) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '流程表单实例ID',
     `type` int DEFAULT '1' COMMENT '审批类型1 延迟进入公海',
     `follow_up_salesman_id` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '跟进业务员',
     `details` json DEFAULT NULL COMMENT '审核内容详情',
     `status` tinyint DEFAULT '1' COMMENT '状态：1 处理中 2 通过 3 不通过 4 取消',
     `processing_results` varchar(255) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '处理结果',
     `creator` varchar(32) COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
     `create_time` datetime NOT NULL COMMENT '创建时间',
     `updater` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '修改者',
     `update_time` datetime DEFAULT NULL COMMENT '修改时间',
     `finish_by` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '结束人',
     `finish_time` datetime DEFAULT NULL COMMENT '结束时间',
     `deleted` bit(1) DEFAULT b'0' COMMENT '是否删除',
     PRIMARY KEY (`approval_id`),
     KEY `key_customer_id` (`customer_id`)
) ENGINE=InnoDB COMMENT='客户相关审核详情';