/*
 Navicat Premium Data Transfer

 Source Server         : jiedao-测试
 Source Server Type    : MySQL
 Source Server Version : 80027
 Source Host           : 47.105.89.238:2290
 Source Schema         : jiedao

 Target Server Type    : MySQL
 Target Server Version : 80027
 File Encoding         : 65001

 Date: 27/11/2022 23:54:12
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for ecw_indirect_customer_contacts
-- ----------------------------
DROP TABLE IF EXISTS `ecw_indirect_customer_contacts`;
CREATE TABLE `ecw_indirect_customer_contacts`  (
                                                   `id` bigint NOT NULL AUTO_INCREMENT,
                                                   `customer_id` bigint NULL DEFAULT NULL COMMENT '客户id',
                                                   `department` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '部门',
                                                   `position` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '职位',
                                                   `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系人',
                                                   `social` int NULL DEFAULT NULL COMMENT '社交方式',
                                                   `social_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '社交软件号码',
                                                   `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '电子邮箱',
                                                   `is_default` tinyint NULL DEFAULT 0 COMMENT '默认联系人：1为默认',
                                                   `userid` bigint NULL DEFAULT NULL COMMENT '关联账户id',
                                                   `username` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '关联账户名',
                                                   `area_code` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '区号',
                                                   `phone_new` varchar(63) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '手机号码(不带任何区号)',
                                                   `is_auto` tinyint NOT NULL DEFAULT 0 COMMENT '是否系统创建 0为手动 1为注册时系统创建 2为下单时系统创建',
                                                   `creator` varchar(63) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
                                                   `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                                   `updater` varchar(63) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
                                                   `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                                   `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
                                                   PRIMARY KEY (`id`) USING BTREE,
                                                   INDEX `customer_id`(`customer_id`) USING BTREE,
                                                   INDEX `key_phone_new`(`phone_new`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '间接客户联系人表';

-- ----------------------------
-- Table structure for ecw_indirect_customer
-- ----------------------------
DROP TABLE IF EXISTS `ecw_indirect_customer`;
CREATE TABLE `ecw_indirect_customer`  (
                                          `id` bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
                                          `agent_customer_id` bigint NULL DEFAULT NULL COMMENT '来源客户id',
                                          `number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '客户编号',
                                          `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '客户名称',
                                          `level` tinyint NULL DEFAULT 1 COMMENT '客户等级',
                                          `credit_level` tinyint NULL DEFAULT 3 COMMENT '信用等级',
                                          `country` bigint NULL DEFAULT NULL COMMENT '国家',
                                          `type` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '客户类型',
                                          `transport_type` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '客户货运类型 见customer_transport_type',
                                          `resource_type` tinyint NULL DEFAULT 1 COMMENT '客户资源类型 见customer_resource_type',
                                          `agent_id` bigint NULL DEFAULT NULL COMMENT '所属代理',
                                          `company` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '公司名称',
                                          `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系地址',
                                          `product_type` bigint NULL DEFAULT NULL COMMENT '产品类型',
                                          `product_id` bigint NULL DEFAULT NULL COMMENT '产品id',
                                          `pickup_point` bigint NULL DEFAULT NULL COMMENT '常用提货网点',
                                          `member_id` bigint NULL DEFAULT NULL COMMENT '关联会员账号',
                                          `birthday` datetime NULL DEFAULT NULL COMMENT '客户生日',
                                          `balance` tinyint NULL DEFAULT NULL COMMENT '结算方式',
                                          `source` tinyint NULL DEFAULT NULL COMMENT '客户来源',
                                          `picture` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '图片',
                                          `customer_service` bigint NULL DEFAULT NULL COMMENT '跟进客服',
                                          `customer_service_assigned_time` datetime NULL DEFAULT NULL COMMENT '跟进客服分配时间',
                                          `promoter` bigint NULL DEFAULT NULL COMMENT '推介人',
                                          `status` tinyint NULL DEFAULT 1 COMMENT '客户状态：1.线索2.意向3.成交',
                                          `status_update_time` datetime NULL DEFAULT NULL COMMENT '客户状态更新时间',
                                          `is_customer_service_confirmed` tinyint NOT NULL DEFAULT 0 COMMENT '是否被接收',
                                          `founder` bigint NULL DEFAULT NULL COMMENT '创建人',
                                          `department` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '部门',
                                          `invoice_title` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '发票抬头',
                                          `license_number` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '纳税人识别号',
                                          `bank` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开户行',
                                          `bank_number` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '账户',
                                          `project` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '项目',
                                          `billing_address` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开票地址',
                                          `billing_tell` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '开票电话',
                                          `tax_rate` decimal(10, 2) NULL DEFAULT NULL COMMENT '税率',
                                          `perfect_time` datetime NULL DEFAULT NULL COMMENT '完善时间',
                                          `remarks` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
                                          `admin_id` bigint NULL DEFAULT NULL COMMENT '管理员id',
                                          `approver` bigint NULL DEFAULT NULL COMMENT '审批人id',
                                          `notifier` bigint NULL DEFAULT NULL COMMENT '通知人id',
                                          `other_approval_id` bigint NULL DEFAULT NULL COMMENT '其他审批id',
                                          `arrival_confirm` tinyint NULL DEFAULT NULL COMMENT '到仓确认',
                                          `weight_unit` decimal(10, 2) NULL DEFAULT NULL COMMENT '重货标准(CBM)',
                                          `light_unit` decimal(10, 2) NULL DEFAULT NULL COMMENT '泡货标准',
                                          `weight_edit_who` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '重货标准修改人',
                                          `weight_edit_time` datetime NULL DEFAULT NULL COMMENT '重货标准修时间',
                                          `enquiry_info` varchar(2048) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '询价详情',
                                          `is_auto` tinyint NULL DEFAULT 0 COMMENT '是否系统创建 0为手动 1为注册时系统创建 2为下单时系统创建',
                                          `is_in_open_sea` tinyint NULL DEFAULT 0 COMMENT '是否公海客户',
                                          `enter_open_sea_time` datetime NULL DEFAULT NULL COMMENT '进入公海时间',
                                          `estimate_enter_open_sea_time` datetime NULL DEFAULT NULL COMMENT '预计进入公海池时间',
                                          `postpone_month` int NULL DEFAULT 0 COMMENT '延期x月',
                                          `catch_time` datetime NULL DEFAULT NULL COMMENT '从公海池捞取时间',
                                          `is_show_tidan_price` tinyint NULL DEFAULT 1 COMMENT '是否显示提单价格',
                                          `vip_level_score` bigint NULL DEFAULT 1 COMMENT 'vip等级分数',
                                          `credit_level_score` bigint NULL DEFAULT 400 COMMENT '信用等级分数',
                                          `creator` varchar(63) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
                                          `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                          `updater` varchar(63) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
                                          `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
                                          `deleted` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
                                          PRIMARY KEY (`id`) USING BTREE,
                                          INDEX `number`(`number`) USING BTREE,
                                          INDEX `name_zh`(`name`) USING BTREE,
                                          INDEX `name_en`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '间接客户表';

SET FOREIGN_KEY_CHECKS = 1;
